{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "layout.html" %}
{% block content %}
<br>
<body>
<div class="container">
<center><h1 class="h2-responsive indigo-text mx-4 font-bold wow fadeIn">{{ offers.title }}</h1>
<center>{% if error %}<p class=error><strong>Error:</strong> {{ error }}{% endif %}<br>{% with messages = get_flashed_messages(with_categories=true) %}{% if messages %}<div class="alert alert-{{ messages.0.0 }}" role="alert">{% for category, message in messages %}{{ message }} </br>{% endfor %}</div>{% endif %}{% endwith %}</center><hr>

<style type="text/css">.contact-form{margin-top: 10%;margin-bottom: 5%;}.contact-form .form-control{border-radius:1rem;}.contact-image{text-align: center;}.contact-image img{border-radius: 6rem;width: 40%;margin-top: -3%;transform: rotate(29deg);}.contact-form form{padding: 14%;}.contact-form form .row{margin-bottom: -7%;}.contact-form h3{margin-bottom: 8%;margin-top: -10%;text-align: center;color: #0062cc;}.contact-form .btnContact {width: 50%;border: none;border-radius: 1rem;padding: 1.5%;background: #dc3545;font-weight: 600;color: #fff;cursor: pointer;}.btnContactSubmit{width: 50%;border-radius: 1rem;padding: 1.5%;color: #fff;background-color: #0062cc;border: none;cursor: pointer;}</style>
<div class="container contact-form">
            <div class="contact-image">
                <img src="{{ offers.img }}" alt="URHDIPTV"/>
            </div><br>
            <form role="form" method="POST" action="" id="formid">
                {{ form.csrf_token }}
               <div class="row">
                    <div class="col-md-6">
                        {% if current_user.is_authenticated %}

                <div class="form-group">
                   <input class="form-control" id="country_selector" name="country_selector" type="text" size="50" value="">
 <style type="text/css">.country-name{color: black;}</style><br>

                    {% for error in form.country_selector.errors %}
                   <span style="color: red;">[{{ error }}]</span>
                     {% endfor %}
                    </div>

                        <div class="form-group ">
                            {{ form.name.label }} :
                            {{ form.name(class='form-control', placeholder='Your full name', size=30) }}<br>
                            {% for error in form.name.errors %}
                           <span style="color: red;">[{{ error }}]</span>
                             {% endfor %}
                                                
                        </div>

                        <div class="form-group ">
                        {{ form.whatsapp.label }} :
                        <p>[ Please enter a valid whatsapp number to receiving the reseller details. ex : +1 (188) 292-2656 ]</p>
                        {{ form.whatsapp(class='form-control', placeholder='Number:whatsapp', size=30) }}<br>
                        {% for error in form.whatsapp.errors %}
                       <span style="color: red;">[{{ error }}]</span>
                         {% endfor %}
                                            
                    </div>
                    
                
                                <div class="form-group ">
                <div id="paypal-button-container"></div>
                <script src="https://www.paypal.com/sdk/js?client-id=AVU1rnGvdsC0wDW2TiXSUwhYNWhvG6rKKWXOOrAgaWSJmpxHQeXfv6CN3q19iEQul1q963lzsAtmaRON&currency=USD"></script>
                <script>
                    paypal.Buttons({
                        createOrder: function(data, actions) {
                            return actions.order.create({
                                purchase_units: [{
                                    amount: {
                                        value: '{{ offers.price }}'
                                    }
                                }]
                            });
                        },
                onInit: function(data, actions) {
                        actions.disable();
                            document.querySelector('#whatsapp').addEventListener('input', function(event) {
                            if (event.target.value) {
                                actions.enable();
                            } else {
                            actions.disable();
                            }
                            });
                        },
                onClick: function() {
                if ($('#whatsapp').val()=="") {
                alert("Please enter your details first");
                $('#whatsapp').focus();
                }
                },
                onApprove: function(data, actions) {
                    return actions.order.capture().then(function(details) {
                        if(details.payer.name.given_name)
                        {
                            alert('Congratulation, transaction complete successfuly : ' + details.payer.name.given_name + '!');
                            $('#paypal-button-container').hide();
                            $('#formid').submit();
                        }
                    });
                }
            }).render('#paypal-button-container');
                </script>
                    </div>
                        {% else %}
                        <div class="alert alert-warning" role="alert">
                            <h4 class="alert-heading" style="color: rgb(250, 250, 250);">Notice : </h4>
                <p><i class="fas fa-times-circle"></i> You need to <a href="/auth/login">login</a> first to complete your order or create fast account bellow
                              </div>

                 <div class="card">
                
                      <div class="card-body">

                        <form role="form" method="POST" action="" id="fast_signup">
                       {{ wtf.quick_form(fast_form) }}
                      </from>
                      
                      </div>
                    </div>
                        {% endif %}
                    </div>                    
                    <div class="col-md-6">
                        
                    	<section style="background-color:#fff;">
                        <ul style="color: black;">
                            <h2 style="color: red;"><u> Feautures : </u></h2>
                            <li><b>Unlimited trials</b></li>
                            <li><b>Controle panel</b></li>
                            <li><b>Support24/24</b></li>
                            <li><b>10000 worldwide channels</b></li>
                            <li><b>Unlimited vod</b></li>
                            <li><b>Free website build</b></li>
                            <li><b>Api support</b></li>
                            </ul>
                        </section>
                        <br>
                        
                        <style type="text/css">
                            .x12{
                                width: 30; height: 30;
                            }
                        </style>
                        <a href="/trial"><img class="x12"  src="/static/img/banneroff.png"></a>
                        
                    </div>
                </div>
            </form><br>
        
    <center>
        <section style="background-color:#fff;">
        <h3 style="color : black;">{{ offers.txt | safe }}</h3>
        </section>
    </center>
<br><br><br>
</div>
        <!--Start of Tawk.to Script--><script type="text/javascript">
        var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();
        (function(){
        var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
        s1.async=true;
        s1.src='https://embed.tawk.to/5c163f7982491369ba9e4e61/default';
        s1.charset='UTF-8';
        s1.setAttribute('crossorigin','*');
        s0.parentNode.insertBefore(s1,s0);
        })();
        </script>
        <!--End of Tawk.to Script-->
{{ ckeditor.load() }}

</body>
{% endblock content %}